MODEL
MODEL_VERSION "v1998.8";
DESIGN "HTR_SLB";

/* port names and type */
INPUT S:PIN66 = done;
INPUT S:PIN22 = cclk;
INPUT S:PIN65 = init_b;
INPUT S:PIN70 = ctrl_in<1>;
INPUT S:PIN28 = loc_rw;
INPUT S:PIN27 = loc_cs;
INPUT S:PIN37 = loc_add<6>;
INPUT S:PIN36 = loc_add<5>;
INPUT S:PIN30 = loc_add<1>;
INPUT S:PIN29 = loc_add<0>;
INPUT S:PIN35 = loc_add<4>;
INPUT S:PIN33 = loc_add<3>;
INPUT S:PIN32 = loc_add<2>;
INPUT S:PIN68 = ctrl_in<0>;
INPUT S:PIN67 = ctrl_in<2>;
INPUT S:PIN24 = cclk_fb;
TRIOUT S:PIN6 = mdata<0>;
TRIOUT S:PIN8 = mdata<1>;
TRIOUT S:PIN9 = mdata<2>;
TRIOUT S:PIN10 = mdata<3>;
TRIOUT S:PIN11 = mdata<4>;
TRIOUT S:PIN13 = mdata<6>;
TRIOUT S:PIN14 = mdata<7>;
TRIOUT S:PIN40 = loc_bus<0>;
TRIOUT S:PIN42 = loc_bus<1>;
TRIOUT S:PIN50 = loc_bus<2>;
TRIOUT S:PIN52 = loc_bus<3>;
TRIOUT S:PIN54 = loc_bus<4>;
TRIOUT S:PIN56 = loc_bus<5>;
TRIOUT S:PIN59 = loc_bus<6>;
TRIOUT S:PIN61 = loc_bus<7>;
TRIOUT S:PIN12 = mdata<5>;
OUTPUT S:PIN86 = maddr<0>;
OUTPUT S:PIN93 = maddr<15>;
OUTPUT S:PIN94 = maddr<16>;
OUTPUT S:PIN97 = maddr<17>;
OUTPUT S:PIN85 = maddr<1>;
OUTPUT S:PIN82 = maddr<2>;
OUTPUT S:PIN81 = maddr<3>;
OUTPUT S:PIN87 = maddr<4>;
OUTPUT S:PIN89 = maddr<5>;
OUTPUT S:PIN90 = maddr<6>;
OUTPUT S:PIN2 = maddr<8>;
OUTPUT S:PIN16 = maddr<10>;
OUTPUT S:PIN4 = maddr<11>;
OUTPUT S:PIN92 = maddr<12>;
OUTPUT S:PIN1 = maddr<13>;
OUTPUT S:PIN99 = maddr<14>;
OUTPUT S:PIN91 = maddr<7>;
OUTPUT S:PIN3 = maddr<9>;
OUTPUT S:PIN23 = cclkp;
OUTPUT S:PIN20 = cs_b;
OUTPUT S:PIN96 = mwe_b;
OUTPUT S:PIN17 = moe_b;
OUTPUT S:PIN18 = rdwr_b;
OUTPUT S:PIN58 = spare5;
TRIOUT S:PIN63 = prog_b;
OUTPUT S:PIN79 = loc_add_out<0>;
OUTPUT S:PIN78 = loc_add_out<1>;
OUTPUT S:PIN77 = loc_add_out<2>;
OUTPUT S:PIN76 = loc_add_out<3>;
OUTPUT S:PIN74 = loc_add_out<4>;
OUTPUT S:PIN72 = loc_add_out<5>;
OUTPUT S:PIN71 = loc_add_out<6>;
OUTPUT S:PIN15 = mce_b;
OUTPUT S:PIN25 = cclk_fbp;
OUTPUT S:PIN95 = maddr<18>;

/* timing arc definitions */
cclk_fb_cclk_fbp_delay: DELAY cclk_fb cclk_fbp;
init_b_cclk_fbp_delay: DELAY init_b cclk_fbp;
ctrl_in<1>_cclkp_delay: DELAY ctrl_in<1> cclkp;
loc_add<6>_cclkp_delay: DELAY loc_add<6> cclkp;
loc_rw_cclkp_delay: DELAY loc_rw cclkp;
loc_cs_cclkp_delay: DELAY loc_cs cclkp;
ctrl_in<0>_cclkp_delay: DELAY ctrl_in<0> cclkp;
loc_add<5>_cclkp_delay: DELAY loc_add<5> cclkp;
init_b_cs_b_delay: DELAY init_b cs_b;
loc_cs_cs_b_delay: DELAY loc_cs cs_b;
loc_add<0>_loc_add_out<0>_delay: DELAY loc_add<0> loc_add_out<0>;
loc_add<1>_loc_add_out<1>_delay: DELAY loc_add<1> loc_add_out<1>;
loc_add<2>_loc_add_out<2>_delay: DELAY loc_add<2> loc_add_out<2>;
loc_add<3>_loc_add_out<3>_delay: DELAY loc_add<3> loc_add_out<3>;
loc_add<4>_loc_add_out<4>_delay: DELAY loc_add<4> loc_add_out<4>;
loc_add<5>_loc_add_out<5>_delay: DELAY loc_add<5> loc_add_out<5>;
loc_add<6>_loc_add_out<6>_delay: DELAY loc_add<6> loc_add_out<6>;
loc_add<0>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<0>;
loc_add<6>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<0>;
loc_rw_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<0>;
loc_cs_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<0>;
mdata<0>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) mdata<0> loc_bus<0>;
loc_add<5>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<0>;
loc_add<1>_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<0>;
loc_add<1>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<1>;
loc_add<5>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<1>;
loc_add<0>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<1>;
loc_add<6>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<1>;
mdata<1>_loc_bus<1>_delay: DELAY (ENABLE_HIGH) mdata<1> loc_bus<1>;
loc_rw_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<1>;
loc_cs_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<1>;
mdata<2>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) mdata<2> loc_bus<2>;
loc_add<1>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<2>;
loc_add<0>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<2>;
loc_add<5>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<2>;
init_b_loc_bus<2>_delay: DELAY (ENABLE_HIGH) init_b loc_bus<2>;
loc_rw_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<2>;
loc_cs_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<2>;
loc_add<6>_loc_bus<2>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<2>;
loc_add<0>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<3>;
loc_add<1>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<3>;
loc_rw_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<3>;
mdata<3>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) mdata<3> loc_bus<3>;
done_loc_bus<3>_delay: DELAY (ENABLE_HIGH) done loc_bus<3>;
loc_add<5>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<3>;
loc_cs_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<3>;
loc_add<6>_loc_bus<3>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<3>;
loc_add<5>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<4>;
loc_add<1>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<4>;
ctrl_in<0>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) ctrl_in<0> loc_bus<4>;
loc_add<0>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<4>;
mdata<4>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) mdata<4> loc_bus<4>;
loc_rw_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<4>;
loc_cs_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<4>;
loc_add<6>_loc_bus<4>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<4>;
ctrl_in<1>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> loc_bus<5>;
loc_add<5>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<5>;
loc_cs_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<5>;
loc_add<6>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<5>;
loc_add<0>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<5>;
loc_rw_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<5>;
loc_add<1>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<5>;
mdata<5>_loc_bus<5>_delay: DELAY (ENABLE_HIGH) mdata<5> loc_bus<5>;
ctrl_in<2>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) ctrl_in<2> loc_bus<6>;
loc_add<0>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<6>;
loc_add<5>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<6>;
loc_add<1>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<6>;
mdata<6>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) mdata<6> loc_bus<6>;
loc_rw_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<6>;
loc_cs_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<6>;
loc_add<6>_loc_bus<6>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<6>;
loc_add<5>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<5> loc_bus<7>;
loc_add<1>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<1> loc_bus<7>;
loc_rw_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_rw loc_bus<7>;
loc_add<0>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<0> loc_bus<7>;
mdata<7>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) mdata<7> loc_bus<7>;
loc_cs_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<7>;
loc_add<6>_loc_bus<7>_delay: DELAY (ENABLE_HIGH) loc_add<6> loc_bus<7>;
ctrl_in<0>_mce_b_delay: DELAY ctrl_in<0> mce_b;
ctrl_in<1>_mce_b_delay: DELAY ctrl_in<1> mce_b;
loc_add<2>_mce_b_delay: DELAY loc_add<2> mce_b;
loc_add<1>_mce_b_delay: DELAY loc_add<1> mce_b;
loc_add<3>_mce_b_delay: DELAY loc_add<3> mce_b;
loc_add<4>_mce_b_delay: DELAY loc_add<4> mce_b;
loc_add<0>_mce_b_delay: DELAY loc_add<0> mce_b;
loc_add<5>_mce_b_delay: DELAY loc_add<5> mce_b;
loc_add<6>_mce_b_delay: DELAY loc_add<6> mce_b;
loc_cs_mce_b_delay: DELAY loc_cs mce_b;
ctrl_in<1>_mdata<0>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<0>;
done_mdata<0>_delay: DELAY (ENABLE_HIGH) done mdata<0>;
loc_rw_mdata<0>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<0>;
done_mdata<1>_delay: DELAY (ENABLE_HIGH) done mdata<1>;
loc_rw_mdata<1>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<1>;
ctrl_in<1>_mdata<1>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<1>;
done_mdata<2>_delay: DELAY (ENABLE_HIGH) done mdata<2>;
ctrl_in<1>_mdata<2>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<2>;
loc_rw_mdata<2>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<2>;
done_mdata<3>_delay: DELAY (ENABLE_HIGH) done mdata<3>;
ctrl_in<1>_mdata<3>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<3>;
loc_rw_mdata<3>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<3>;
done_mdata<4>_delay: DELAY (ENABLE_HIGH) done mdata<4>;
ctrl_in<1>_mdata<4>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<4>;
loc_rw_mdata<4>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<4>;
ctrl_in<1>_mdata<5>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<5>;
done_mdata<5>_delay: DELAY (ENABLE_HIGH) done mdata<5>;
loc_rw_mdata<5>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<5>;
loc_rw_mdata<6>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<6>;
ctrl_in<1>_mdata<6>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<6>;
done_mdata<6>_delay: DELAY (ENABLE_HIGH) done mdata<6>;
loc_rw_mdata<7>_delay: DELAY (ENABLE_HIGH) loc_rw mdata<7>;
done_mdata<7>_delay: DELAY (ENABLE_HIGH) done mdata<7>;
ctrl_in<1>_mdata<7>_delay: DELAY (ENABLE_HIGH) ctrl_in<1> mdata<7>;
ctrl_in<1>_moe_b_delay: DELAY ctrl_in<1> moe_b;
loc_rw_moe_b_delay: DELAY loc_rw moe_b;
loc_rw_mwe_b_delay: DELAY loc_rw mwe_b;
ctrl_in<1>_mwe_b_delay: DELAY ctrl_in<1> mwe_b;
loc_rw_rdwr_b_delay: DELAY loc_rw rdwr_b;
loc_cs_spare5_delay: DELAY loc_cs spare5;
cclk_fb_cclkp_delay: DELAY cclk_fb cclkp;
loc_cs_mdata<0>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<0>;
loc_cs_mdata<1>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<1>;
loc_cs_mdata<2>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<2>;
loc_cs_mdata<3>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<3>;
loc_cs_mdata<4>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<4>;
loc_cs_mdata<6>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<6>;
loc_cs_mdata<7>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<7>;
loc_cs_loc_bus<0>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<0>;
loc_cs_loc_bus<1>_delay: DELAY (ENABLE_HIGH) loc_cs loc_bus<1>;
loc_cs_mdata<5>_delay: DELAY (ENABLE_HIGH) loc_cs mdata<5>;
loc_cs_cclkp_delay: DELAY loc_cs cclkp;
loc_cs_prog_b_delay: DELAY (ENABLE_HIGH) loc_cs prog_b;
loc_cs_mce_b_delay: DELAY loc_cs mce_b;
loc_cs_cclk_fbp_delay: DELAY loc_cs cclk_fbp;
cclk_loc_bus<0>_delay: DELAY (ENABLE_HIGH) cclk loc_bus<0>;
cclk_loc_bus<1>_delay: DELAY (ENABLE_HIGH) cclk loc_bus<1>;
cclk_loc_bus<2>_delay: DELAY (ENABLE_HIGH) cclk loc_bus<2>;
cclk_loc_bus<3>_delay: DELAY (ENABLE_HIGH) cclk loc_bus<3>;
cclk_loc_bus<4>_delay: DELAY (ENABLE_HIGH) cclk loc_bus<4>;
cclk_loc_bus<5>_delay: DELAY (ENABLE_HIGH) cclk loc_bus<5>;
cclk_loc_bus<6>_delay: DELAY (ENABLE_HIGH) cclk loc_bus<6>;
cclk_loc_bus<7>_delay: DELAY (ENABLE_HIGH) cclk loc_bus<7>;
cclk_maddr<0>_delay: DELAY cclk maddr<0>;
cclk_maddr<15>_delay: DELAY cclk maddr<15>;
cclk_maddr<16>_delay: DELAY cclk maddr<16>;
cclk_maddr<17>_delay: DELAY cclk maddr<17>;
cclk_maddr<1>_delay: DELAY cclk maddr<1>;
cclk_maddr<2>_delay: DELAY cclk maddr<2>;
cclk_maddr<3>_delay: DELAY cclk maddr<3>;
cclk_maddr<4>_delay: DELAY cclk maddr<4>;
cclk_maddr<5>_delay: DELAY cclk maddr<5>;
cclk_maddr<6>_delay: DELAY cclk maddr<6>;
cclk_maddr<8>_delay: DELAY cclk maddr<8>;
cclk_maddr<10>_delay: DELAY cclk maddr<10>;
cclk_maddr<11>_delay: DELAY cclk maddr<11>;
cclk_maddr<12>_delay: DELAY cclk maddr<12>;
cclk_maddr<13>_delay: DELAY cclk maddr<13>;
cclk_maddr<14>_delay: DELAY cclk maddr<14>;
cclk_maddr<7>_delay: DELAY cclk maddr<7>;
cclk_maddr<9>_delay: DELAY cclk maddr<9>;
cclk_cclkp_delay: DELAY cclk cclkp;
cclk_cs_b_delay: DELAY cclk cs_b;
cclk_mwe_b_delay: DELAY cclk mwe_b;
cclk_moe_b_delay: DELAY cclk moe_b;
cclk_rdwr_b_delay: DELAY cclk rdwr_b;
cclk_spare5_delay: DELAY cclk spare5;
cclk_prog_b_delay: DELAY (ENABLE_HIGH) cclk prog_b;
cclk_mce_b_delay: DELAY cclk mce_b;
cclk_cclk_fbp_delay: DELAY cclk cclk_fbp;

/* timing check arc definitions */
loc_add<0>_loc_cs_setup: SETUP(POSEDGE) loc_add<0> loc_cs;
loc_add<1>_loc_cs_setup: SETUP(POSEDGE) loc_add<1> loc_cs;
loc_add<2>_loc_cs_setup: SETUP(POSEDGE) loc_add<2> loc_cs;
loc_add<3>_loc_cs_setup: SETUP(POSEDGE) loc_add<3> loc_cs;
loc_add<4>_loc_cs_setup: SETUP(POSEDGE) loc_add<4> loc_cs;
loc_add<5>_loc_cs_setup: SETUP(POSEDGE) loc_add<5> loc_cs;
loc_add<6>_loc_cs_setup: SETUP(POSEDGE) loc_add<6> loc_cs;
loc_bus<0>_loc_cs_setup: SETUP(POSEDGE) loc_bus<0> loc_cs;
loc_bus<1>_loc_cs_setup: SETUP(POSEDGE) loc_bus<1> loc_cs;
loc_bus<2>_loc_cs_setup: SETUP(POSEDGE) loc_bus<2> loc_cs;
loc_bus<3>_loc_cs_setup: SETUP(POSEDGE) loc_bus<3> loc_cs;
loc_bus<4>_loc_cs_setup: SETUP(POSEDGE) loc_bus<4> loc_cs;
loc_bus<5>_loc_cs_setup: SETUP(POSEDGE) loc_bus<5> loc_cs;
loc_bus<6>_loc_cs_setup: SETUP(POSEDGE) loc_bus<6> loc_cs;
loc_bus<7>_loc_cs_setup: SETUP(POSEDGE) loc_bus<7> loc_cs;
loc_rw_loc_cs_setup: SETUP(POSEDGE) loc_rw loc_cs;
loc_add<0>_loc_cs_hold: HOLD(POSEDGE) loc_add<0> loc_cs;
loc_add<1>_loc_cs_hold: HOLD(POSEDGE) loc_add<1> loc_cs;
loc_add<2>_loc_cs_hold: HOLD(POSEDGE) loc_add<2> loc_cs;
loc_add<3>_loc_cs_hold: HOLD(POSEDGE) loc_add<3> loc_cs;
loc_add<4>_loc_cs_hold: HOLD(POSEDGE) loc_add<4> loc_cs;
loc_add<5>_loc_cs_hold: HOLD(POSEDGE) loc_add<5> loc_cs;
loc_add<6>_loc_cs_hold: HOLD(POSEDGE) loc_add<6> loc_cs;
loc_bus<0>_loc_cs_hold: HOLD(POSEDGE) loc_bus<0> loc_cs;
loc_bus<1>_loc_cs_hold: HOLD(POSEDGE) loc_bus<1> loc_cs;
loc_bus<2>_loc_cs_hold: HOLD(POSEDGE) loc_bus<2> loc_cs;
loc_bus<3>_loc_cs_hold: HOLD(POSEDGE) loc_bus<3> loc_cs;
loc_bus<4>_loc_cs_hold: HOLD(POSEDGE) loc_bus<4> loc_cs;
loc_bus<5>_loc_cs_hold: HOLD(POSEDGE) loc_bus<5> loc_cs;
loc_bus<6>_loc_cs_hold: HOLD(POSEDGE) loc_bus<6> loc_cs;
loc_bus<7>_loc_cs_hold: HOLD(POSEDGE) loc_bus<7> loc_cs;
loc_rw_loc_cs_hold: HOLD(POSEDGE) loc_rw loc_cs;
ctrl_in<1>_cclk_setup: SETUP(POSEDGE) ctrl_in<1> cclk;
done_cclk_setup: SETUP(POSEDGE) done cclk;
mdata<0>_cclk_setup: SETUP(POSEDGE) mdata<0> cclk;
mdata<1>_cclk_setup: SETUP(POSEDGE) mdata<1> cclk;
mdata<2>_cclk_setup: SETUP(POSEDGE) mdata<2> cclk;
mdata<3>_cclk_setup: SETUP(POSEDGE) mdata<3> cclk;
mdata<4>_cclk_setup: SETUP(POSEDGE) mdata<4> cclk;
mdata<5>_cclk_setup: SETUP(POSEDGE) mdata<5> cclk;
mdata<6>_cclk_setup: SETUP(POSEDGE) mdata<6> cclk;
mdata<7>_cclk_setup: SETUP(POSEDGE) mdata<7> cclk;
ctrl_in<1>_cclk_hold: HOLD(POSEDGE) ctrl_in<1> cclk;
done_cclk_hold: HOLD(POSEDGE) done cclk;
mdata<0>_cclk_hold: HOLD(POSEDGE) mdata<0> cclk;
mdata<1>_cclk_hold: HOLD(POSEDGE) mdata<1> cclk;
mdata<2>_cclk_hold: HOLD(POSEDGE) mdata<2> cclk;
mdata<3>_cclk_hold: HOLD(POSEDGE) mdata<3> cclk;
mdata<4>_cclk_hold: HOLD(POSEDGE) mdata<4> cclk;
mdata<5>_cclk_hold: HOLD(POSEDGE) mdata<5> cclk;
mdata<6>_cclk_hold: HOLD(POSEDGE) mdata<6> cclk;
mdata<7>_cclk_hold: HOLD(POSEDGE) mdata<7> cclk;

ENDMODEL
